! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 6.5. List-directed character input and output.
  program G05
    implicit none
    integer, parameter :: S = 7
    character (len = S) :: First, Second
! start program G05
    write (unit = *, fmt = *) " Please enter two words. "
    read (unit = *, fmt = *) First, Second
    if (First == Second) then
      write (unit = *, fmt = *) First, " and ", Second, " are equal. "
    else
      write (unit = *, fmt = *) First, " and ", Second, " are different. "
    end if
    stop
  end program G05
